#@TYPE: Machine
#@NAME: NRHW20 based routers like NB1601
#@DESCRIPTION: Machine configuration for the NRHW20 based routers http://www.netmodule.com/products/industrial-routers.html

require conf/machine/include/ti33x.inc

MACHINE_EXTRA_RRECOMMENDS = " kernel-modules kernel-devicetree"

KERNEL_DEVICETREE_TO_USE = "${HW20_DT}"

PREFERRED_PROVIDER_virtual/bootloader = "u-boot-ti33x"
UBOOT_MACHINE = "am335x_nrhw20_defconfig"

USE_VT = "0"

SERIAL_CONSOLES ?= "115200;ttyS1"

WWAN_NBR = "1"
WWAN_VENDORS = "ublox"

MACHINE_FEATURES += " \
    can \
    wwan \
    gnss \
    bluetooth \
    tibluetooth \
    atsha \
    wifi \
    ti-wifi \
    ath-wifi \
    "
